<!--
Copyright © Institut für Qualitätsentwicklung an Schulen Schleswig-Holstein (IQSH)

SPDX-License-Identifier: AGPL-3.0-or-later
-->

<script setup lang="ts">
import ApexChart from "vue3-apexcharts";
import { computed } from 'vue';
const props = defineProps<{
    series: any,
    title: string,
    subtitle: string
}>();

const options = computed(() => {
    return {
        chart: {
            type: 'area',
            sparkline: {
                enabled: true
            },
        },
        stroke: {
            curve: 'straight'
        },
        fill: {
            opacity: 1,
        },
        series: [],
        yaxis: {
            min: 0
        },
        xaxis: {
            type: 'datetime',
            labels: {
                formatter: function (value: any, timestamp: any) {
                    return new Date(timestamp).toTimeString().substring(0, 5)
                },
            }
        },
        colors: ['#DCE6EC'],
        title: {
            text: props.title,
            offsetX: 10,
            offsetY: 10,
            style: {
                fontSize: '24px',
                cssClass: 'text-lg'
            }
        },
        subtitle: {
            text: props.subtitle,
            offsetX: 10,
            offsetY: 34,
            style: {
                fontSize: '14px',
                cssClass: 'text-gray-500'
            }
        }
    }
});

</script>
<template>
    <div
        class="relative box-border transition duration-100 ease-in-out rounded-lg bg-white text-gray-500 shadow-md h-[120px] p-2">
        <ApexChart type="area" :options="options" height="100px" :series="series" />
    </div>
</template>
<style scoped>
.padding-xxsmall {
    padding: 5px;
}
</style>